Cursor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Cursor

    java.lang.Object
      java.awt.Cursor

All Implemented Interfaces:
  Serializable

    public class Cursor

extends Object
implements Serializable

A class to encapsulate the bitmap representation of the mouse cursor.

Version:
  1.39, 01/23/03
Author:
  Amy Fowler
See Also:
  `Component.setCursor(java.awt.Cursor)`, Serialized Form

Field Summary
`static int` | `CROSSHAIR_CURSOR` The crosshair cursor type.
`static int` | `DEFAULT_CURSOR` The default cursor type (gets set if no cursor is defined).
`static int` | `E_RESIZE_CURSOR` The east-resize cursor type.
`static int` | `HAND_CURSOR` The hand cursor type.
`static int` | `MOVE_CURSOR` The move cursor type.
`static int` | `N_RESIZE_CURSOR` The north-resize cursor type.
`static int` | `NE_RESIZE_CURSOR` The north-east-resize cursor type.
`static int` | `NW_RESIZE_CURSOR` The north-west-resize cursor type.
`static int` | `S_RESIZE_CURSOR` The south-resize cursor type.
`static int` | `SE_RESIZE_CURSOR` The south-east-resize cursor type.
`static int` | `SW_RESIZE_CURSOR` The south-west-resize cursor type.
`static int` | `TEXT_CURSOR` The text cursor type.
`static int` | `W_RESIZE_CURSOR` The west-resize cursor type.
`static int` | `WAIT_CURSOR` The wait cursor type.

Constructor Summary
`Cursor(int type)` Creates a new cursor object with the specified type.

Method Summary
`static Cursor` | `getDefaultCursor()` Return the system default cursor.
`static Cursor` | `getPredefinedCursor(int type)` Returns a cursor object with the specified predefined type.
`int` | `getType()` Returns the type for this cursor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CURSOR

    public static final int DEFAULT_CURSOR

  The default cursor type (gets set if no cursor is defined).

  See Also:
    Constant Field Values

### CROSSHAIR_CURSOR

    public static final int CROSSHAIR_CURSOR

  The crosshair cursor type.

  See Also:
    Constant Field Values

### TEXT_CURSOR

    public static final int TEXT_CURSOR

  The text cursor type.

  See Also:
    Constant Field Values

### WAIT_CURSOR

    public static final int WAIT_CURSOR

  The wait cursor type.

  See Also:
    Constant Field Values

### SW_RESIZE_CURSOR

    public static final int SW_RESIZE_CURSOR

  The south-west-resize cursor type.

  See Also:
    Constant Field Values

### SE_RESIZE_CURSOR

    public static final int SE_RESIZE_CURSOR

  The south-east-resize cursor type.

  See Also:
    Constant Field Values

### NW_RESIZE_CURSOR

    public static final int NW_RESIZE_CURSOR

  The north-west-resize cursor type.

  See Also:
    Constant Field Values

### NE_RESIZE_CURSOR

    public static final int NE_RESIZE_CURSOR

  The north-east-resize cursor type.

  See Also:
    Constant Field Values

### N_RESIZE_CURSOR

    public static final int N_RESIZE_CURSOR

  The north-resize cursor type.

  See Also:
    Constant Field Values

### S_RESIZE_CURSOR

    public static final int S_RESIZE_CURSOR

  The south-resize cursor type.

  See Also:
    Constant Field Values

### W_RESIZE_CURSOR

    public static final int W_RESIZE_CURSOR

  The west-resize cursor type.

  See Also:
    Constant Field Values

### E_RESIZE_CURSOR

    public static final int E_RESIZE_CURSOR

  The east-resize cursor type.

  See Also:
    Constant Field Values

### HAND_CURSOR

    public static final int HAND_CURSOR

  The hand cursor type.

  See Also:
    Constant Field Values

### MOVE_CURSOR

    public static final int MOVE_CURSOR

  The move cursor type.

  See Also:
    Constant Field Values

Constructor Detail

### Cursor

    public Cursor(int type)

  Creates a new cursor object with the specified type.

  Parameters:
    `type` - the type of cursor
  Throws:
    `IllegalArgumentException` - if the specified cursor type is invalid

Method Detail

### getPredefinedCursor

    public static Cursor getPredefinedCursor(int type)

  Returns a cursor object with the specified predefined type.

  Parameters:
    `type` - the type of predefined cursor
  Returns:
    the specified predefined cursor
  Throws:
    `IllegalArgumentException` - if the specified cursor type is invalid

### getDefaultCursor

    public static Cursor getDefaultCursor()

  Return the system default cursor.

### getType

    public int getType()

  Returns the type for this cursor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD